[med-svn] r6101 - in trunk/packages/denoiser/trunk/debian: . patches
Andreas Tille
tille at alioth.debian.org
Fri Feb 25 21:59:30 UTC 2011
Author: tille
Date: 2011-02-25 21:59:30 +0000 (Fri, 25 Feb 2011)
New Revision: 6101
Added:
trunk/packages/denoiser/trunk/debian/get-orig-source
trunk/packages/denoiser/trunk/debian/patches/fix_upstream_clean_target.patch
Removed:
trunk/packages/denoiser/trunk/debian/patches/makefile
Modified:
trunk/packages/denoiser/trunk/debian/control
trunk/packages/denoiser/trunk/debian/patches/series
trunk/packages/denoiser/trunk/debian/rules
trunk/packages/denoiser/trunk/debian/watch
Log:
Rebuild tarball to clean up unneeded binary files (if you remove them in clean target you get a binary diff between build tree and unpacked source), do not add Makefile via patch but call the commands in debian/rules, provide a patch to make sure upstream clean target will not fail.
Modified: trunk/packages/denoiser/trunk/debian/control
===================================================================
--- trunk/packages/denoiser/trunk/debian/control 2011-02-25 19:30:09 UTC (rev 6100)
+++ trunk/packages/denoiser/trunk/debian/control 2011-02-25 21:59:30 UTC (rev 6101)
@@ -5,7 +5,7 @@
Uploaders: Sri Girish Srinivasa Murthy <srigirish at evolbio.mpg.de>,
Steffen Moeller <moeller at debian.org>,
Andreas Tille <tille at debian.org>
-Build-Depends: debhelper (>= 7), python, ghc6
+Build-Depends: debhelper (>= 7.1), quilt (>= 0.47), python, ghc6
Standards-Version: 3.9.1
Homepage: http://www.microbio.me/denoiser/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/denoiser/trunk/?rev=0&sc=0
@@ -13,7 +13,7 @@
Package: denoiser
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Rapid denoising of pyrosequencing amplicon data
To denoise pyrosequencing amplicon data, the package exploits the
rank-abundance distribution. PyroNoise uses an expectation maximization
Added: trunk/packages/denoiser/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/denoiser/trunk/debian/get-orig-source (rev 0)
+++ trunk/packages/denoiser/trunk/debian/get-orig-source 2011-02-25 21:59:30 UTC (rev 6101)
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Obtaining the source tarball of FigTree is a bit tricky because here is no
+# explicite link to a downloadable tarball on the web page and the source is
+# only in SVN
+
+UNAME=Denoiser
+UURL=http://www.microbio.me/denoiser/
+
+PKG=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+ DVERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+ DVERSION=`echo $@ | sed 's?^.*--upstream-version \([0-9.]\+\) .*download.html.*?\1?'`
+ if echo "$DVERSION" | grep -q "upstream-version" ; then
+ echo "Unable to parse version number"
+ exit
+ fi
+fi
+
+VERSION=`echo $DVERSION | sed -e 's/\.//g' -e 's/^\([0-9]\)/\1./'`
+cd ..
+mkdir -p tarballs
+cd tarballs
+
+UDIR="$UNAME"_"$VERSION"
+UTAR="$UDIR".tgz
+# wget $UURL""$UTAR"
+tar -xzf "$UTAR"
+
+find "$UDIR"/FlowgramAlignment -name "FlowgramAli_4frame_linux_*" | xargs -r rm
+
+GZIP="--best --no-name" tar -czf "$PKG"_"$DVERSION".orig.tar.gz "$UDIR"
+rm -rf "$UDIR"
Added: trunk/packages/denoiser/trunk/debian/patches/fix_upstream_clean_target.patch
===================================================================
--- trunk/packages/denoiser/trunk/debian/patches/fix_upstream_clean_target.patch (rev 0)
+++ trunk/packages/denoiser/trunk/debian/patches/fix_upstream_clean_target.patch 2011-02-25 21:59:30 UTC (rev 6101)
@@ -0,0 +1,17 @@
+Author: Andreas Tille <tille at debian.org>
+Date: Fri, 25 Feb 2011 20:26:49 +0100
+Reported-Upstream: TODO
+Description: Make sure clean target will never fail
+
+--- Denoiser_0.851.orig/FlowgramAlignment/Makefile
++++ Denoiser_0.851/FlowgramAlignment/Makefile
+@@ -8,6 +8,6 @@
+ install:
+ cp FlowgramAli_4frame ../bin/
+ clean:
+- rm *.o
+- rm *.hi
+- rm FlowgramAli_4frame
++ rm -f *.o
++ rm -f *.hi
++ rm -f FlowgramAli_4frame
Deleted: trunk/packages/denoiser/trunk/debian/patches/makefile
===================================================================
--- trunk/packages/denoiser/trunk/debian/patches/makefile 2011-02-25 19:30:09 UTC (rev 6100)
+++ trunk/packages/denoiser/trunk/debian/patches/makefile 2011-02-25 21:59:30 UTC (rev 6101)
@@ -1,17 +0,0 @@
-Index: denoiser-0.85/Makefile
-===================================================================
---- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ denoiser-0.85/Makefile 2010-06-26 20:58:34.000000000 +0200
-@@ -0,0 +1,12 @@
-+#!/usr/bin/make -f
-+
-+all:
-+ $(MAKE) -C FlowgramAlignment
-+
-+
-+clean:
-+ $(MAKE) -C FlowgramAlignment $@
-+
-+distclean: clean
-+ find FlowgramAlignment -name "FlowgramAli_4frame_linux_*" | xargs -r rm
-+
Modified: trunk/packages/denoiser/trunk/debian/patches/series
===================================================================
--- trunk/packages/denoiser/trunk/debian/patches/series 2011-02-25 19:30:09 UTC (rev 6100)
+++ trunk/packages/denoiser/trunk/debian/patches/series 2011-02-25 21:59:30 UTC (rev 6101)
@@ -1 +1 @@
-makefile
+fix_upstream_clean_target.patch
Modified: trunk/packages/denoiser/trunk/debian/rules
===================================================================
--- trunk/packages/denoiser/trunk/debian/rules 2011-02-25 19:30:09 UTC (rev 6100)
+++ trunk/packages/denoiser/trunk/debian/rules 2011-02-25 21:59:30 UTC (rev 6101)
@@ -6,3 +6,15 @@
%:
dh $@
+
+srcdir=FlowgramAlignment
+
+override_dh_auto_build:
+ $(MAKE) -C $(srcdir)
+
+override_dh_clean:
+ $(MAKE) -C $(srcdir) clean
+ dh_clean
+
+get-orig-source:
+ . debian/get-orig-source
Modified: trunk/packages/denoiser/trunk/debian/watch
===================================================================
--- trunk/packages/denoiser/trunk/debian/watch 2011-02-25 19:30:09 UTC (rev 6100)
+++ trunk/packages/denoiser/trunk/debian/watch 2011-02-25 21:59:30 UTC (rev 6101)
@@ -1,3 +1,4 @@
version=3
opts=dversionmangle=s/\.// \
- http://www.microbio.me/denoiser/Denoiser_([.0-9]+)\.tgz
+ http://www.microbio.me/denoiser/Denoiser_([.0-9]+)\.tgz \
+ debian debian/get-orig-source
More information about the debian-med-commit
mailing list